Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.ui
Class JavaSourceLookupDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jdt.debug.ui.JavaSourceLookupDialog

Deprecated. In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0. The new facilities provide a source lookup director that coordinates source lookup among a set of participants, searching a set of source containers. See the following packages: `org.eclipse.debug.core.sourcelookup` and `org.eclipse.debug.core.sourcelookup.containers`. This class has been replaced by a dialog in the debug platform - `org.eclipse.debug.ui.sourcelookup.SourceLookupDialog`.

public class JavaSourceLookupDialog
extends Dialog

A dialog to manipulate the source lookup path for a launch configuration.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0.2
See Also:
  `Dialog`

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, dialogArea, DLG_IMG_ERROR, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`JavaSourceLookupDialog(Shell shell, String message, ILaunchConfiguration configuration)` Deprecated. Constructs a dialog to manipulate the source lookup path of the given launch configuration.

Method Summary
`protected Control` | `createDialogArea(Composite parent)` Deprecated.
`boolean` | `isNotAskAgain()` Deprecated. Returns whether the "do not ask again" check box is selected in the dialog.
`protected void` | `okPressed()` Deprecated.

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`canHandleShellCloseEvent, configureShell, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getInitialLocation, getInitialSize, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setExceptionHandler, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaSourceLookupDialog

    public JavaSourceLookupDialog(Shell shell,
                                  String message,
                                  ILaunchConfiguration configuration)

  Deprecated.
  Constructs a dialog to manipulate the source lookup path of the given launch configuration. The source lookup path is retrieved from the given launch configuration, based on the attributes `IJavaLaunchConfigurationConstants.ATTR_DEFAULT_SOURCE_PATH` and `IJavaLaunchConfigurationConstants.ATTR_SOURCE_PATH`. If the user changes the source lookup path and presses "ok", the launch configuration is updated with the new source lookup path.

Parameters:
  `shell` - the shell to open the dialog on
  `message` - the message to display in the dialog
  `configuration` - the launch configuration from which the source lookup path is retrieved and (possibly) updated

Method Detail

### isNotAskAgain

    public boolean isNotAskAgain()

  Deprecated.
  Returns whether the "do not ask again" check box is selected in the dialog.

  Returns:
    whether the "do not ask again" check box is selected in the dialog

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Deprecated.

### okPressed

    protected void okPressed()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.